#include "bits/stdc++.h"
using namespace std;

#define rep(i,a,b) for(int i = (a); i < (b); ++i)
#define all(x) begin(x),end(x)
#define sz(x) int(x.size())
typedef vector<int> vi;
typedef vector<vi> vvi;
typedef long long ll;

const vector<long long>modd = {(ll)(1e9+7), (ll)(1e9+9LL), 37LL, (ll)(1e9-8723), (ll)(1e9-69)};

bool check(int i, string a, string b) {
    if(i<1 || i>a.size()-1)return false;
    if(a[a.size()-i]=='0') return false;
    for(long long mod:modd) {
        long long first=0;
        for(int j=0;j<a.size()-i;j++) {
            first*=10;
            first+=a[j]-'0';
            first%=mod;
        }
        long long second=0;
        for(int j=a.size()-i;j<a.size();j++) {
            second*=10;
            second+=a[j]-'0';
            second%=mod;
        }
        long long third=0;
        for(int j=0;j<b.size();j++) {
            third*=10;
            third+=b[j]-'0';
            third%=mod;
        }
        if(((third*second)%mod)!=first) {
            return false;
        }
    }
    return true;
}
int main(){
    cin.tie(0)->sync_with_stdio(0);
    string a,b;cin>>a>>b;
    int cnt1=a.size(),cnt2=b.size();
    int cnt3=cnt1-((cnt1+cnt2)/2);
    for(int i=cnt3-4;i<cnt3+4;i++) {
        if(check(i, a, b)) {
            for(int j=0;j<a.size()-i;j++) {
                cout<<a[j];
            }
            cout<<' ';
            for(int j=a.size()-i;j<a.size();j++) {
                cout<<a[j];
            }
            cout<<endl;
            return 0;
        }
    }
    assert(false);
}